Iwd segfaults crashing system?!

Up to a few updates ago it was all normal on my end, but then a few packages got updated and well… the system has become somewhat unstable.

Was able to restore it thanks to a a btrfs snapshot, but even then, after applying the updates yet again the system becomes unresponsive, and what I mean is, nothing loads, terminals hang, dirty shutdowns, and occasionally get dropped to a black screen on tt7 where the desktop is with a prompt.

Wrote the post here under bugs, because iwd segfaults for some reason, and perhaps it’s why the system has become like this. (Or python since some modules aren’t present)

Here’s a bug report: https://clbin.com/x4Y3R
I’ll include some potato-quality pics, since I wasn’t able to retrieve logs.




If the dev team would want me to provide other info please just let me know and I’ll try to assist you.
At this point I’m just gonna keep my system as is without updating for the time being. Thank you all.

2022-01-30_01-34
bbswitch would link you had something setup for nvidia optimus hybrid?
Could be accidentally uninstalled partly?

Would be helpful to get some info about what you are running DE/WM Hardware Drivers …

What did you update?

I do run Optimus-Manager to handle both Intel/Nvidia cards.
BSPWM is my primary WM at the moment.

Here’s the Hardware specs: https://clbin.com/5p1Tt

General EOS updates downstream, a few AUR packages. Normal stuff.

Specificity will be key here. Check /var/log/pacman.log and list the output for the updates that broke the system

[2022-01-29] [ALPM] upgraded iwd (1.21-1 -> 1.23-1)

Try downgrading iwd.

First comment here is having wifi instability also … wired networking fine.

https://bugs.archlinux.org/task/73527?project=1&order=dateopened&sort=desc

1 Like
  1 [2022-01-26T18:11:17-0600] [ALPM] transaction started
  2 [2022-01-26T18:11:17-0600] [ALPM] upgraded ell (0.47-1 -> 0.48-1)
  3 [2022-01-26T18:11:17-0600] [ALPM] upgraded geoip-database (20211221-1 -> 20220125-1)
  4 [2022-01-26T18:11:17-0600] [ALPM] upgraded libcap (2.62-1 -> 2.63-1)
  5 [2022-01-26T18:11:17-0600] [ALPM] upgraded hwdetect (2022.01-1 -> 2022.01-2)
  6 [2022-01-26T18:11:18-0600] [ALPM] upgraded imagemagick (7.1.0.20-1 -> 7.1.0.20-2)
  7 [2022-01-26T18:11:18-0600] [ALPM] upgraded iwd (1.21-1 -> 1.22-1)
  8 [2022-01-26T18:11:18-0600] [ALPM] upgraded lib32-libcap (2.62-1 -> 2.63-1)
  9 [2022-01-26T18:11:18-0600] [ALPM] upgraded licenses (20200427-1 -> 20220125-1)
 10 [2022-01-26T18:11:18-0600] [ALPM] upgraded nfsidmap (2.5.4-2 -> 2.6.1-1)
 11 [2022-01-26T18:11:18-0600] [ALPM] upgraded nfs-utils (2.5.4-2 -> 2.6.1-1)
 12 [2022-01-26T18:11:18-0600] [ALPM] upgraded polkit (0.120-3 -> 0.120-4)
 13 [2022-01-26T18:11:18-0600] [ALPM] upgraded qt5-wayland (5.15.2+kde+r44-1 -> 5.15.2+kde+r45-1)
 82 [2022-01-28T18:17:50-0600] [ALPM] upgraded glib2 (2.70.2-2 -> 2.70.3-1)
 83 [2022-01-28T18:17:50-0600] [ALPM] upgraded libcap (2.62-1 -> 2.63-1)
 84 [2022-01-28T18:17:50-0600] [ALPM] upgraded polkit (0.120-3 -> 0.120-4)
 85 [2022-01-28T18:17:50-0600] [ALPM] upgraded accountsservice (0.6.55-3 -> 22.04.62-1)
 86 [2022-01-28T18:17:50-0600] [ALPM] upgraded alsa-card-profiles (1:0.3.43-5 -> 1:0.3.44-1)
 87 [2022-01-28T18:17:50-0600] [ALPM] upgraded archlinux-keyring (20220118-1 -> 20220125-1)
 94 [2022-01-28T18:17:51-0600] [ALPM] upgraded ell (0.47-1 -> 0.48-1)
 95 [2022-01-28T18:17:51-0600] [ALPM] upgraded mesa (21.3.4-1 -> 21.3.5-1)
 96 [2022-01-28T18:17:52-0600] [ALPM] upgraded firefox (96.0.2-1 -> 96.0.3-1)
 97 [2022-01-28T18:17:52-0600] [ALPM] upgraded geoip-database (20211221-1 -> 20220125-1)
 98 [2022-01-28T18:17:52-0600] [ALPM] upgraded glib2-docs (2.70.2-2 -> 2.70.3-1)
 99 [2022-01-28T18:17:52-0600] [ALPM] upgraded pipewire (1:0.3.43-5 -> 1:0.3.44-1)
100 [2022-01-28T18:17:52-0600] [ALPM] upgraded gst-plugin-pipewire (1:0.3.43-5 -> 1:0.3.44-1)
101 [2022-01-28T18:17:52-0600] [ALPM] upgraded hwdetect (2022.01-1 -> 2022.01-5)
102 [2022-01-28T18:17:52-0600] [ALPM] upgraded imagemagick (7.1.0.20-1 -> 7.1.0.20-2)
103 [2022-01-28T18:17:52-0600] [ALPM] upgraded iwd (1.21-1 -> 1.23-1)
104 [2022-01-28T18:17:52-0600] [ALPM] upgraded lib32-glib2 (2.70.2-1 -> 2.70.3-1)
105 [2022-01-28T18:17:52-0600] [ALPM] upgraded lib32-libcap (2.62-1 -> 2.63-1)
106 [2022-01-28T18:17:52-0600] [ALPM] upgraded lib32-mesa (21.3.4-1 -> 21.3.5-1)
107 [2022-01-28T18:17:52-0600] [ALPM] upgraded licenses (20200427-1 -> 20220125-1)
108 [2022-01-28T18:17:53-0600] [ALPM] upgraded linux-lts (5.15.16-1 -> 5.15.17-1)
109 [2022-01-28T18:17:55-0600] [ALPM] upgraded linux-lts-headers (5.15.16-1 -> 5.15.17-1)
110 [2022-01-28T18:17:55-0600] [ALPM] upgraded nfsidmap (2.5.4-2 -> 2.6.1-1)
111 [2022-01-28T18:17:55-0600] [ALPM] upgraded nfs-utils (2.5.4-2 -> 2.6.1-1)
112 [2022-01-28T18:17:56-0600] [ALPM] upgraded noto-fonts-cjk (20211026-1 -> 20220126-1)
113 [2022-01-28T18:17:56-0600] [ALPM] upgraded nvidia (495.46-10 -> 495.46-11)
114 [2022-01-28T18:17:56-0600] [ALPM] upgraded nvidia-lts (1:495.46-12 -> 1:495.46-13)
115 [2022-01-28T18:17:56-0600] [ALPM] upgraded nvme-cli (1.16-1 -> 1.16-2)
116 [2022-01-28T18:17:56-0600] [ALPM] upgraded openexr (3.1.3-1 -> 3.1.4-1)
117 [2022-01-28T18:17:56-0600] [ALPM] upgraded qt5-base (5.15.2+kde+r294-1 -> 5.15.2+kde+r295-1)
118 [2022-01-28T18:17:56-0600] [ALPM] upgraded qt5-wayland (5.15.2+kde+r44-1 -> 5.15.2+kde+r46-1)
119 [2022-01-28T18:17:56-0600] [ALPM] upgraded r8168 (8.049.02-50 -> 8.049.02-51)
120 [2022-01-28T18:17:56-0600] [ALPM] upgraded r8168-lts (8.049.02-47 -> 8.049.02-48)
121 [2022-01-28T18:17:56-0600] [ALPM] upgraded rubberband (2.0.1-1 -> 2.0.2-1)
237 [2022-01-29T15:21:56-0600] [ALPM] upgraded zstd (1.5.2-1 -> 1.5.2-2)
238 [2022-01-29T15:21:56-0600] [ALPM] upgraded libgpg-error (1.43-1 -> 1.44-1)
239 [2022-01-29T15:21:56-0600] [ALPM] upgraded accountsservice (22.04.62-1 -> 22.04.62-2)
240 [2022-01-29T15:21:56-0600] [ALPM] upgraded endeavouros-mirrorlist (4.4-3 -> 4.4-4)
241 [2022-01-29T15:21:56-0600] [ALPM] upgraded git (2.35.0-1 -> 2.35.1-1)
242 [2022-01-29T15:21:56-0600] [ALPM] upgraded imagemagick (7.1.0.20-2 -> 7.1.0.21-1)
243 [2022-01-29T15:21:56-0600] [ALPM] upgraded libcups (1:2.4.0-4 -> 1:2.4.1-1)
244 [2022-01-29T15:21:56-0600] [ALPM] upgraded lib32-libcups (2.4.0-1 -> 2.4.1-1)
245 [2022-01-29T15:21:56-0600] [ALPM] upgraded lib32-libgpg-error (1.43-1 -> 1.44-1)
246 [2022-01-29T15:21:58-0600] [ALPM] upgraded linux (5.16.2.arch1-1 -> 5.16.3.arch1-1)
247 [2022-01-29T15:22:00-0600] [ALPM] upgraded linux-headers (5.16.2.arch1-1 -> 5.16.3.arch1-1)
248 [2022-01-29T15:22:00-0600] [ALPM] upgraded mujs (1.2.0-1 -> 1.2.0-2)
249 [2022-01-29T15:22:00-0600] [ALPM] upgraded npm (8.3.2-1 -> 8.4.0-1)
250 [2022-01-29T15:22:00-0600] [ALPM] upgraded protobuf (3.19.3-1 -> 3.19.4-1)
251 [2022-01-29T15:22:00-0600] [ALPM] upgraded qt6-translations (6.2.2-2 -> 6.2.3-1)
252 [2022-01-29T15:22:01-0600] [ALPM] upgraded qt6-base (6.2.2-5 -> 6.2.3-1)
253 [2022-01-29T15:22:01-0600] [ALPM] upgraded qt6-5compat (6.2.2-1 -> 6.2.3-1)
254 [2022-01-29T15:22:01-0600] [ALPM] upgraded qt6-declarative (6.2.2-1 -> 6.2.3-1)
255 [2022-01-29T15:22:01-0600] [ALPM] upgraded qt6-imageformats (6.2.2-1 -> 6.2.3-1)
256 [2022-01-29T15:22:01-0600] [ALPM] upgraded qt6-svg (6.2.2-1 -> 6.2.3-1)
257 [2022-01-29T15:22:01-0600] [ALPM] upgraded qt6-wayland (6.2.2-1 -> 6.2.3-1)
258 [2022-01-29T15:22:02-0600] [ALPM] upgraded wine (7.0rc5-1 -> 7.0-1)

Aha! So someone else is having an issue with it. Will try downgrading for now.

Downgraded iwd to its earlier version and can confirm the system is back to normal. It’s a strange thing to happen but hopefully they address the issue quickly. Will have to mask the package in the meantime not to have it upgrade by mistake.

Newest version of iwd (1.24) seems stable and working. No more breakage (for now)

This topic was automatically closed 2 days after the last reply. New replies are no longer allowed.